Subject: Re: [DMM] draft-ietf-dmm-srv6-mobile-uplane-16 comments

From: "Pablo Camarillo (pcamaril)" <[email-masked]>
Date: Tue, 12 Oct 2021 10:32:52 +0000

Hi Jeffrey,

In 5.3, in the downlink, you want to have a SID at the SRGW. This allows you to a) have the packet FlexAlgo routed up to the SR GW; b) trigger a particular SRv6 behavior at the GW. There is no benefit in using PBR in the gateway to trigger the mapping.

Regarding your comments:
- On (A,Z) usage being inconsistent: Please specify the page or section. I don't spot it. Thanks.
- On the 5.3.1 typo, fixed (rev17).

Cheers,
Pablo.

-----Original Message-----
From: Jeffrey (Zhaohui) Zhang <[email-masked]> 
Sent: jueves, 26 de agosto de 2021 5:21
To: Pablo Camarillo (pcamaril) <[email-masked]>
Cc: [email-masked]
Subject: draft-ietf-dmm-srv6-mobile-uplane-16 comments

Hi Pablo,

I have not got a chance to go through -16 closely to correlate to our email discussions, but I have the following comments.

Previously:

-------------
In 5.3, for uplink traffic, the GW has End.M.GTP6.D for the UPF address B and the gNB does not need to know the existence of GW. For downlink traffic, the UPF knows there is a GW and put the GW::TEID in the SRH. Why not make GW invisible to UPF as well and just use gNB::TEID, and then have gNB/96 as End.M.GTP6.E on the SRGW? You can still put GW in the SRH to steer traffic through the GW.
[PC] That is a valid point. I'll think about it and get back to you.
-------------

I think we should get a conclusion on this.
Similarly, even for the drop-in mode, SGA can use (U::TEID, C1; SL=3) for uplink traffic instead of using (U::1, SGB::TEID, C1; SL=3). Then, on SGB, U/96 can be a End.M.GTP6.E. With that, we don't need End.M.GTP6.D.Di anymore, and End.M.GTP6.E will be like others - checking for "Segments Left != 0" instead of " Segments Left != 1" (no need to use SRH[0] as destination address of the GTP packet).

BTW - 5.4 drop-in mode only talks about uplink traffic. I suppose downlink traffic is the same - either use End.M.GTP6.D.Di or just use End.M.GTP6.D with (gNB::TEID, ...).
In fact, drop-in mode is not thing special any more - it's just that there is an SGB attached to the UPF as well as an SGA attached to the gNB like in 5.3.1.

Please see the following additional comments (more may come when I get a chance to comb through).

(Z,A) or (Z,A) is used to denote the source/destination address of PDU packet. Then, for End.M.xxx behaviors, A is used to denote something different. Better change the A to a different letter in either the PDU packets or in the End.M.xxx behaviors to avoid confusion.

End.M.GTP6.D has the following operation:

   S02.    Copy the GTP TEID to buffer memory
   ...
   S08.    Write in the last SID of the SRH the Args.Mob.Session
              based on the information of buffer memory

   With that, the U2::1 should be changed to U2::TEID in the following:

5.3.1.1.  Packet flow - Uplink

   The uplink packet flow is as follows:

   UE_out  : (A,Z)
   gNB_out : (gNB, B)(GTP: TEID T)(A,Z)       -> Interface N3 unmodified
                                                 (IPv6/GTP)
   SRGW_out: (SRGW, S1)(U2::1, C1; SL=2)(A,Z) -> B is an End.M.GTP6.D
                                                 SID at the SRGW
   S1_out  : (SRGW, C1)(U2::1, C1; SL=1)(A,Z)
   C1_out  : (SRGW, U2::1)(A,Z)               -> End with PSP
   UPF2_out: (A,Z)                            -> End.DT4 or End.DT6

Thanks.
Jeffrey